1. CrackBerry Question's Avatar
    Hi guys,
    after improving my Passport by Cobalt's features I was able to run a lot of Android apps - so first of all BIG THANKS for that!
    One of them was WhatsApp - I simply downloaded it from GooglePlay, run and thats it. After 2 months of succesfull usage one day it stopped to work. OK, I deleted it and reinstall WhatsApp (from Google Play again). Since that I am getting ".. WhatApp needs Google Play Services which are not supported on this device". I tried also to patch the WhatsApp apk but with patched app I am unable to get the verification SMS or call because I am getting another message "There is a problem with your version of WhatsApp application. Download the most recent version from Google Play".
    So anybody has idea how to make it working ?
    11-13-18 01:22 PM
  2. Bla1ze's Avatar
    Remove everything WhatsApp that you have on your device, reboot then:
    Download WhatsApp from Android.
    Install app, tap OUTSIDE the box IF warned about Google Play Services.
    Run patch from BlackBerry World:
    https://appworld.blackberry.com/webs...ntent/60005088
    You will need an SD card for this to work.
  3. Bla1ze's Avatar
    Remove everything WhatsApp that you have on your device, reboot then:
    Download WhatsApp from Android.
    Install app, tap OUTSIDE the box IF warned about Google Play Services.
    Run patch from BlackBerry World:
    https://appworld.blackberry.com/webs...ntent/60005088
    You will need an SD card for this to work.
    11-13-18 01:25 PM
  4. Bajinek's Avatar
    Thanks for brisk answer Bla1ze. Unfortunatelly this does not work - I am still getting the same message "WhatApp needs Google Play Services which are not supported on this device" after patch by WhatsFixer.
    11-14-18 06:00 AM
  5. dubengeldu's Avatar
    Thanks for brisk answer Bla1ze. Unfortunatelly this does not work - I am still getting the same message "WhatApp needs Google Play Services which are not supported on this device" after patch by WhatsFixer.
    The key is that youpick an android Whatsapp version that suppoerts

    4.3 android +
    And likely arm platform

    Mine runs at 2.18.306 with a patcher. Cantremember ifits from the bb10 store or an online apk

    Posted via CB10
    11-14-18 04:00 PM
  6. conite's Avatar
    Thanks for brisk answer Bla1ze. Unfortunatelly this does not work - I am still getting the same message "WhatApp needs Google Play Services which are not supported on this device" after patch by WhatsFixer.
    Follow the instructions exactly. You will only be asked the first time. Tap outside the warning box.
    11-14-18 06:40 PM
  7. Bajinek's Avatar
    Thanks you all guys! After few days of necessary waiting (i did so many attempts to make the WhatsApp working that they banned me for 2 days) I followed your advice precisely and tap OUTSIDE THE BOX which really was what I missed before. It was hard, really hard, you know if you see only button OK...
    11-23-18 01:04 AM

Similar Threads

  1. can't access settings on my Z30
    By rick1979 in forum BlackBerry Z30
    Replies: 7
    Last Post: 12-17-18, 12:43 PM
  2. Replies: 32
    Last Post: 12-01-18, 07:04 PM
  3. Why is my Whatsapp not sending pic?
    By godstimemiller in forum Ask a Question
    Replies: 1
    Last Post: 11-13-18, 12:56 PM
  4. Problem with Whatsapp in my Z10
    By Karen121 in forum Ask a Question
    Replies: 1
    Last Post: 11-13-18, 12:55 PM
  5. Replies: 2
    Last Post: 11-13-18, 09:40 AM
LINK TO POST COPIED TO CLIPBOARD